<template>
    <div class="wrap">
        <div class="opera-warp">
            <Breadcrumb>
                <BreadcrumbItem >王大锤团队</BreadcrumbItem>
                <BreadcrumbItem>坐席王小花</BreadcrumbItem>
                <BreadcrumbItem>客户李先生</BreadcrumbItem>
                <BreadcrumbItem>
                    <Select v-model="model1" style="width:200px">
                        <Option v-for="item in frequencys" :value="item.value" :key="item.value">{{ item.label }}</Option>
                    </Select>
                </BreadcrumbItem>
            </Breadcrumb>
            <div class="opera-left">
                <div class="controls-other">
                    <i-switch v-model="switch1" @on-change="change" />
                    <Input search enter-button placeholder="请输入关键字" />
                </div>
                <!-- 播放按钮 -->
                <div class="flex controls-wrap">
                    <Icon type="md-play" @click="play" :size="20"/>
                    <Icon type="md-pause" @click="pause" :size="20"/>
                    <Icon type="md-power" :size="20"/>
                    <!-- 音量 -->
                    <div class="flex volume-wrap">
                        <Icon type="md-volume-up" :size="20"/>
                        <van-slider v-model="volume"></van-slider>
                    </div>
                    <Icon type="md-open" :size="20"/>
                    <span>语速：</span>
                    <div class="flex volume-wrap">
                        <Slider v-model="audioRate" :min="0.5" :max="2" :step="0.25"></Slider>
                    </div>
                </div>
            </div>
        </div> 
        <!-- 语音波形图 -->
        <div class="waveform-wrap">
            <div id="waveform" ref="waveform"></div>
            <!-- 时间轴 -->
            <div id="wave-timeline" ref="wave-timeline"></div>
        </div>
        <div class="voice-content">
            <div class="client-wrap">
                <ul>
                    <li v-for="(item,index) in voiceContent.client" :key="index">
                        <Button :type="item.type" size="small" @click="toTime(item.timess)" ghost>{{item.content}}</Button>
                    </li>
                </ul>
            </div>
        </div>
        <div class="content-wrap">
            <!-- 歌词 -->
            <div class="flex lrc-wrap" @touchstart="pause">
                <van-picker 
                    ref="lrcpicker" 
                    @change="lrcpickerchange" 
                    :columns="columns">
                </van-picker>
            </div>
            <div class="content-right">
                <ul>
                    <li class="li-f">
                        <h3>历史沟通画像</h3>
                        <p>阅读当前通话预计需要1 ~ 3分钟（66 ~ 168秒）</p>
                        <div class="call">
                            <div class="call-l">
                                <img src="../../assets/client.png" alt="">
                                <p>当前坐席：王小花</p>
                                <p>名单模式：OB_A-</p>
                                <p>通话语速：4.7 字/秒（1103）</p>
                                <p>发话时长：234.3 秒</p>
                            </div>
                            <div class="call-r">
                                <img src="../../assets/客户.png" alt="">
                                <p>李先生：当前客户</p>
                                <p>第4次拨打（共6次）：沟通信息</p>
                                <div>
                                    ：客户标签
                                    <ul>
                                        <li v-for="(ite,inde) in figures" :key="inde" class="li-t">
                                            <Button :type="ite.type" size="small">{{ite.label}}</Button>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                            
                        </div>
                    </li>
                    <li class="li-f">
                        <h3>关键信息识别</h3>
                        <ul>
                            <li v-for="(item,index) in keyInfos" :key="index" class="li-s li-s-key">
                                <h4>{{item.keyInfo}}<span style="margin-left:10px;">（{{item.times}}）</span>
                                    <img :src="item.src" alt="" v-for="(ite,inde) in item.times" :key="inde">
                                </h4>
                            </li>
                        </ul>
                    </li>
                    <li class="li-f li-f-content">
                        <h3>单句选择点评<Icon type="md-text" class="record-btn" @click="selectReviews" /></h3>
                    </li>
                    <li class="li-f li-f-content">
                        <h3>通话内容点评<Icon type="md-mic" class="record-btn" @click="record" /></h3>
                        <ul>
                            <li v-for="(item,index) in reviews" :key="index" class="li-s">
                                <Button size="small">{{item.label}}</Button>
                            </li>
                            <li class="li-s">
                                <Button size="small" @click="addReviews">+新增</Button>
                            </li>
                        </ul>
                        <Input v-model="opinion" type="textarea" :rows="4" placeholder="填写问题详情及改进意见" />
                    </li>
                </ul>
            </div>
        </div>  
        <Modal
            v-model="reviewsModal"
            title="新增点评"
            @on-ok="ok"
            @on-cancel="cancel">
            <Input v-model="reviewsVal" placeholder="请输入点评内容" style="width: 300px" />
        </Modal>
        <Modal
            v-model="recordModal"
            title="录音点评">
            <div id="recordWaveSurfer" ref="recordWaveSurfer"></div>
            <div slot="footer" style="text-align:center;">
                <Button size="small" @click="recordPlay">开始</Button>
                <Button size="small" @click="recordModal=false">取消</Button>
            </div>
        </Modal>  
        <Modal
            v-model="moda"
            title="选择点评"
            @on-ok="ok"
            @on-cancel="cancel">
            <p>哎对我征信那边的你是在了吗老师？嗯</p>
            <Input v-model="value1" maxlength="100" show-word-limit type="textarea" placeholder="请输入点评内容"/>
            <p>没事嘛因为现在都是实行实名制支付保费啦我这边先给你算个参考价晓得吗？您是在广东啊诶给您算个三各家第二天要买保险的时候你可以参考一下咱这个吧。而且，嗯打回来你你车子是上到我们专业的牌照是，哎老师。</p>
            <Input v-model="value2" maxlength="100" show-word-limit type="textarea" placeholder="请输入点评内容"/>
        </Modal>
    </div>
</template>

<script>
    import WaveSurfer from 'wavesurfer.js'
    import Timeline from 'wavesurfer.js/dist/plugin/wavesurfer.timeline.js'
    import MicrophonePlugin from 'wavesurfer.js/dist/plugin/wavesurfer.microphone.min.js';
    import { Picker,Icon,Slider} from 'vant';
    import lrc from './newData';
    let playTimeoutTag = 0;
    export default {
        name: "Detail",
        data() {
            return {
                value1:null,
                value2:null,
                moda:false,
                volume: 100,
                audioRate:1,
                model1:4,
                progress: 0,
                progressCurrent: 0,
                progressLength: 0,
                columns: [],
                columnsTime:[
                    '0.40',
                    '3.28',
                    '0.93',
                    '3.48',
                    '0.37',
                    '8.83',
                    '1.22',
                    '0.37',
                    '2.91',
                    '11.03',
                    '3.75',
                    '3.29',
                    '2.29',
                    '2.00',
                    '0.20',
                    '31.81',
                    '4.98',
                    '5.64',
                    '12.22',
                    '43.46',
                    '0.59',
                    '7.43',
                    '0.45',
                    '0.29',
                    '2.75',
                    '13.51',
                    '0.46',
                    '27.09',
                    '0.46',
                    '19.02',
                    '1.24',
                    '1.11',
                    '3.66',
                    '26.28',
                    '0.80',
                    '2.01',
                    '0.54',
                    '16.84',
                    '3.38',
                    '2.29',
                    '6.64',
                    '4.41',
                    '2.79',
                    '7.66',
                    '3.67',
                    '11.59',
                    '1.40',
                    '0.79',
                    '1.59',
                    '5.68',
                    '2.49',
                    '9.42',
                    '10.70',
                    '7.30',
                    '1.41',
                    '0.94',
                    '4.47',
                    '1.20',
                    '0.61',
                    '3.95',
                    '3.03',
                    '2.42',
                    '7.51',
                    '14.07',
                    '1.82',
                    '1.04',
                    '4.75',
                    '2.47',
                    '4.89',
                    '4.23',
                    '10.64',
                    '2.96',
                    '5.14',
                    '0.66',
                    '2.33',
                    '0.79',
                    '2.20',
                    '2.87',
                    '3.87',
                    '7.27',
                    '7.07',
                    '7.67',
                    '13.03',
                    '4.91',
                    '10.09',
                    '3.39',
                    '10.60',
                    '7.82',
                    '6.02',
                    '2.16',
                    '3.42',
                    '5.97',
                    '2.76',
                    '0.73',
                    '0.29',
                    '3.87',
                    '3.66',
                    '5.91',
                    '2.85',
                    '0.26',
                ],
                wavesurfer: null,
                audio:null,
                switch1: false,
                role:null,
                roles:[
                    {
                        value:'all',
                        label:'全部'
                    },
                    {
                        value:'agent',
                        label:'坐席'
                    },
                    {
                        value:'client',
                        label:'客户'
                    },
                ],
                figures:[
                    {
                        label:'价格敏感',
                        type:'primary',
                    },
                    {
                        label:'犹豫不决',
                        type:'warning'
                    },
                    {
                                label:'网络达人',
                                type:'error'
                    },
                    {
                        label:'关注理赔效率',
                        type:'info'
                    }
                ],
                frequencys:[
                    {
                        value:1,
                        label: '第1次拨打'
                    },
                    {
                        value:2,
                        label: '第2次拨打'
                    },
                    {
                        value:3,
                        label: '第3次拨打'
                    },
                    {
                        value:4,
                        label: '第4次拨打'
                    }
                ],
                communication:[
                    {
                        frequency:1,
                        figures:[
                            {
                                label:'不方便电话',
                                type:'primary',
                            }
                        ]
                    },
                    {
                        frequency:2,
                        figures:[
                            {
                                label:'价格敏感',
                                type:'primary'
                            },
                            {
                                label:'犹豫不决',
                                type:'warning'
                            },
                            {
                                label:'关注理赔效率',
                                type:'error'
                            }
                        ]
                    },
                    {
                        frequency:3,
                        figures:[
                            {
                                label:'怕麻烦',
                                type:'error'
                            },
                            {
                                label:'嫌贵',
                                type:'warning'
                            },
                        ]
                    },
                ],
                keyInfos:[
                    {
                        keyInfo:'非车推荐',
                        times:2,
                        src:require('../../assets/cart.png')
                    },
                    {
                        keyInfo:'阳光服务',
                        times:1,
                        src:require('../../assets/serve.png')
                    }
                ],
                reviews:[
                    {
                        label:'要介绍服务'
                    },
                    {
                        label:'注意保足保全'
                    }
                ],
                opinion:'向客户介绍E赔、一键赔服务；强调更换玻璃是福耀的',
                voiceContent:{
                    client:[
                        {
                            content:'开场白',
                            type:'info',
                            time:'00:01.16',
                            timess:1
                        },
                        {
                            content:'寒暄铺垫',
                            type:'warning',
                            time:'01:33.35',
                            timess:92
                        },
                        {
                            content:'产品报价',
                            type:'error',
                            time:'00:55.66',
                            timess:59
                        },
                        {
                            content:'实问题',
                            type:'success',
                            time:'01:52.70',
                            timess:112
                        },
                        {
                            content:'客户异议（价格）',
                            type:'error',
                            time:'02:42.30',
                            timess:162,
                        },
                        {
                            content:'异议处理、服务介绍',
                            type:'warning',
                            time:'03:14.54',
                            timess:240
                        },
                        {
                            content:'客户预约',
                            type:'info',
                            time:'04:41.16',
                            timess:281
                        }
                    ],
                    agent:[
                        {
                            content:'开场白',
                            type:'info',
                        },
                        {
                            content:'报价',
                            type:'warning',
                        },
                        {
                            content:'异议处理-未到期',
                            type:'error',
                        },
                        {
                            content:'促成',
                            type:'success',
                        }
                    ]
                },
                warns:[
                    '太贵',
                ],
                keyword:[
                    '试算',
                    '座位险',
                    '道路救援'
                ],
                reviewsModal:false,
                reviewsVal:null,
                recordModal:false,
                recordVal:null,
                recordWaveSurfer:null
            }
        },
        components:{
            [Picker.name]: Picker,
            [Icon.name]: Icon,
            [Slider.name]: Slider,
        },
        computed: {
            progressCurrentText() {
                return `${String(this.progressCurrent/60>>0).padStart(2,'0')}:${String(this.progressCurrent%60>>0).padStart(2,'0')}`
            },
            progressLengthText() {
                return `${String(this.progressLength/60>>0).padStart(2,'0')}:${String(this.progressLength%60>>0).padStart(2,'0')}`
            },
        },
        watch: {
            volume() {
                this.wavesurfer.setVolume(this.volume / 100);
            },
            audioRate(){
                this.audio.playbackRate=this.audioRate;
            },
        },
        mounted() {
            this.$nextTick(() => {
                this.wavesurfer = WaveSurfer.create({
                    container: this.$refs.waveform,
                    waveColor: '#409EFF',
                    progressColor: 'blue',
                    backend: 'MediaElement',
                    mediaControls: false,
                    height:50,
                    audioRate: this.audioRate,
                    //使用时间轴插件
                    plugins: [
                        Timeline.create({
                        container: '#wave-timeline'
                        }),
                    ]
                });
                this.wavesurfer.on("play", () => {
                    setTimeout(()=>{
                        let lrcUl=document.getElementsByClassName('van-picker-column__wrapper');
                        lrcUl.item(0).style.cssText="padding-top:100px;"
                    },1000)
                });
                this.wavesurfer.load(require('@/assets/SIP-10193_50243456_20191202092311.wav'));
                this.recordWaveSurferFn();
                this.columns =lrc;
                setTimeout(() => {
                    this.audio=document.querySelector('#waveform audio');
                    this.audio.addEventListener("timeupdate",this.timeupdate,false);
                    this.audio.addEventListener("loadedmetadata",this.loadedmetadata,false);
                    let lrcLi=document.getElementsByClassName('van-picker-column__item');
                    this.columns.forEach((item,index)=>{
                        let divColor=lrcLi.item(index).querySelector('.van-ellipsis');
                        if(item.indexOf('n0')!==-1){
                            this.warns.forEach((ite)=>{
                                if(item.indexOf(ite)!==-1){
                                    divColor.style.background='#f90';
                                }
                            });
                            this.keyword.forEach((ites)=>{
                                if(item.indexOf(ites)!==-1){
                                    divColor.style.color='#ed4014';
                                }
                            });
                            lrcLi.item(index).style.cssText="justify-content: flex-start;align-items: center;"
                            let divNode=document.createElement('div');
                                divNode.style.cssText="display: flex;align-items: center;color:#fff;font-size: 12px;width: 100px;flex-wrap: wrap;flex-shrink: 0;justify-content: flex-start;"
                            let imgNode = document.createElement('img');
                                imgNode.src=require('../../assets/client.png');
                                imgNode.style.cssText="width: 25px;height: 32px;margin:0 2px;"
                            let spanNode = document.createElement('span');
                                spanNode.style.cssText="margin:2px 0;padding:0 7px;color: #808695;border:1px solid #808695;background: 0 0;"
                                spanNode.innerText=`${item.substring(item.indexOf("[")+1,item.lastIndexOf("."))}`;
                            let inputNode = document.createElement('input');
                                inputNode.type="checkbox";
                                divNode.appendChild(inputNode);
                                divNode.appendChild(imgNode);
                                divNode.appendChild(spanNode);
                            let buttonNode = document.createElement('button');
                                buttonNode.type="text";
                                let cssTexts={
                                    info:"padding:0 7px;color: #2db7f5;border:1px solid #2db7f5;background: 0 0;",
                                    success:"padding:0 7px;color: #47cb89;border:1px solid #47cb89;background: 0 0;",
                                    warning:"padding:0 7px;color: #ffad33;border:1px solid #ffad33;background: 0 0;",
                                    error:"padding:0 7px;color: #f16643;border:1px solid #f16643;background: 0 0;"};
                                buttonNode.style.cssText="";
                                this.voiceContent.client.forEach((it)=>{
                                    if(it.time==item.substring(item.indexOf("[")+1,item.indexOf("]"))){
                                        buttonNode.innerText=it.content;
                                        buttonNode.style.cssText=`${cssTexts[it.type]}`
                                        divNode.appendChild(buttonNode);
                                    }
                                })
                                lrcLi.item(index).insertBefore(divNode,lrcLi.item(index).childNodes[0]);    
                                divColor.innerText=item.substring(item.indexOf("：")+1);
                        }else{
                            lrcLi.item(index).style.cssText="justify-content: flex-end;align-items: center;"
                            let divNode=document.createElement('div');
                                divNode.style.cssText="display: flex;align-items: center;color:#fff;font-size: 12px;width: 100px;flex-wrap: wrap;flex-shrink: 0;justify-content: flex-start;"
                            let imgNode = document.createElement('img');
                                imgNode.src=require('../../assets/客户.png');
                                imgNode.style.cssText="width: 25px;height: 32px;margin:0 2px;"
                            let spanNode = document.createElement('span');
                                spanNode.style.cssText="margin:2px 0;padding:0 7px;color: #808695;border:1px solid #808695;background: 0 0;"
                                spanNode.innerText=`${item.substring(item.indexOf("[")+1,item.lastIndexOf("."))}`;
                            let inputNode = document.createElement('input');
                                inputNode.type="checkbox";
                                divNode.appendChild(inputNode);
                                divNode.appendChild(imgNode);
                                divNode.appendChild(spanNode);
                                lrcLi.item(index).appendChild(divNode,lrcLi.item(index));
                                divColor.innerText=item.substring(item.indexOf("：")+1);
                        }
                    })
                }, 200);
            })
        },
        methods: {
            change (status) {
                console.log(status);
            },
            play() {
                clearTimeout(playTimeoutTag)
                playTimeoutTag = setTimeout(() => {
                    this.wavesurfer.play();
                }, 200);
            },
            keyInfo(){
                this.moda=true;
            },
            toTime(time){
                this.wavesurfer.play([time,])
            },
            pause() {
                clearTimeout(playTimeoutTag)
                this.wavesurfer.pause()
            },
            progressChange(val) {
                this.pause()
                this.audio.currentTime = val;
                this.play();
            },
            loadedmetadata() {
                this.progressCurrent = this.audio.currentTime;
                this.progressLength = this.audio.duration;
                this.volume = this.audio.volume * 100
            },
            lrcpickerchange(el, value) {
                var time = value && value.match(/(\d+):(\d+)\.(\d+)/);
                if (time && time.length) {
                    this.audio.currentTime = time[1] * 60 + (+time[2]);
                    this.play()
                }
            },
            timeupdate() {
                this.progressCurrent = this.audio.currentTime;
                var findItem = this.columns.findIndex(v => {
                    var result = v.match(/(\d+):(\d+)\.(\d+)/);
                    if (result && result.length) {
                        var value = result[1] * 60 + (+result[2]);
                        return value > this.audio.currentTime
                    }
                    return false
                }) || -1;
                this.$refs.lrcpicker.setValues([this.columns[Math.min(Math.max(0, findItem - 1), this.columns.length - 1)]]);
            },
            addReviews(){
                this.reviewsModal=true;
            },
            selectReviews(){
                this.moda=true;
            },
            recordWaveSurferFn(){
                this.recordWaveSurfer = WaveSurfer.create({
                    container: this.$refs.recordWaveSurfer,
                    height:20,
                    plugins: [
                        MicrophonePlugin.create(),
                    ]
                });
                this.recordWaveSurfer.microphone.on('deviceReady', function(stream) {
                    console.log('Device ready!', stream);
                });
                this.recordWaveSurfer.microphone.on('deviceError', function(code) {
                    console.warn('Device error: ' + code);
                });
            },
            record(){
                this.recordModal=true;
            },
            recordPlay(){
                let that=this;
                // navigator.mediaDevices.getUserMedia(constraints)
                // .then((stream)=>{
                //     console.log(stream);
                //     this.recordWaveSurfer.microphone.start();
                // })
                // .catch((err)=> {
                //     this.recordWaveSurfer.microphone.start();
                //     console.log(err);
                // });
                if (navigator.mediaDevices === undefined) {
                    navigator.mediaDevices = {};
                }
                if (navigator.mediaDevices.getUserMedia === undefined) {
                    navigator.mediaDevices.getUserMedia = function (constraints) {
                        var getUserMedia = navigator.webkitGetUserMedia || navigator.mozGetUserMedia;
                        if (!getUserMedia) {
                            return Promise.reject(new Error('getUserMedia is not implemented in this browser'));
                        }
                        //否则，使用Promise将调用包装到旧的navigator.getUserMedia
                        return new Promise(function (resolve, reject) {
                            getUserMedia.call(navigator, constraints, resolve, reject);
                        });
                    }
                }
                let constraints = { audio: true}
                navigator.mediaDevices.getUserMedia(constraints)
                    .then((stream)=> {
                        console.log(stream);
                        that.recordWaveSurfer.microphone.start();
                    })
                    .catch((err)=> {
                        console.log(err.name + ": " + err.message);
                    });
                
            },  
            ok(){
                this.reviewsModal=false;
            },
            cancel() {
                this.reviewsModal=false;
            }
        }
    }
</script>

<style scoped lang="scss">
    .wrap {
        padding: 10px;
        background: #f5f7f9;
        max-width: 1300px;
        min-height: 100vh;
        margin: 0 auto;
        .waveform-wrap{
            background-color: #fff;
            border: 1px solid #e3e7f1;
            border-top: none;
            padding: 0 10px;
            wave{
                height: 100px !important;
            }
            .lrc-column{
                justify-content: center;
                flex-direction: column;
                align-items: flex-end;
            }
        }
        .voice-content{
            background-color: #fff;
            border-bottom: none;
            padding-bottom: 10px;
            div{
                display: flex;
                .person-type{
                    flex: 0 0 70px;
                }
            }
            .client-wrap{
                
            }
            ul{
                display: flex;
                justify-content: space-around;
                flex-grow: 1;
                flex-shrink: 0;
                li{
                    color: #fff;
                    padding: 0 10px;
                }
            }
        }
        .opera-warp{
            display: flex;
            justify-content: space-between;
            align-items: center;
            height: 45px;
            background-color: #fff;
            border-left: 1px solid #e3e7f1;
            border-right: 1px solid #e3e7f1;
            padding: 0 10px;
            .opera-left{
                display: flex;
                align-items: center;
                flex-grow: 1;
                justify-content: space-between;
                .controls-other{
                    display: flex;
                    align-items: center;
                    margin-left: 10px;
                    .ivu-switch{
                        margin-right: 30px;
                    }
                }
                .volume-wrap{
                    width: 100px;
                    margin-right: 20px;
                }
                .controls-wrap {
                    margin-right: 45px;
                    i{
                        margin-right: 10px;
                    }
                }
            }
            .select-wrap{
                width: 25%;
                display: flex;
                align-items: center;
                .label-span{
                    flex-grow: 1;
                    text-align: right;
                }
                .ivu-select{
                    width: 200px;
                }
            }
            .ivu-slider{
                width: 100%;
            }
        }
        .content-wrap{
            display: flex;
            .lrc-wrap {
                flex-grow: 1;
                border: 1px solid #e3e7f1;
                height: 600px;
                /deep/.van-picker{
                    width: 100%;
                    height: 100%;
                    background:url('../../assets/Picture2.png') no-repeat;
                    background-size:100% 100%; 
                    background-attachment:fixed;
                    // background-size: cover;
                    .van-picker__columns{
                        height: 100% !important;
                        .van-picker-column{
                            overflow: scroll;
                            .van-picker-column__wrapper{
                                .van-picker-column__item--selected{
                                    .van-ellipsis{
                                        color: #2db7f5 !important;
                                    }
                                }
                            }
                            .van-ellipsis{
                                white-space:pre-wrap;
                                font-size: 12px;
                            }
                        }
                    }
                    .van-picker__mask{
                        display: none;
                    }
                }
            }
            .content-right{
                width: 33%;
                flex-shrink: 0;
                padding: 0 10px;
                ul{
                    .li-f{
                        margin-bottom: 20px;
                        h3{
                            margin-bottom: 10px;
                        }
                        .call{
                            display: flex;
                            img{
                                width: 25px;
                                height: 36px;
                            }
                            .call-l{
                                margin-right:10px;
                                flex-shrink: 0;
                            }
                            .call-r{
                                flex-grow: 1;
                                text-align: right;
                                display: flex;
                                flex-direction: column;
                                align-items: flex-end;
                                ul{
                                    display: flex;
                                    flex-wrap: wrap;
                                    justify-content: flex-end;
                                    li{
                                        padding: 2px;
                                    }
                                }
                            }
                        }
                        p{
                            padding: 2px 0;
                            
                        }
                        .num{
                            padding-left: 10px;
                        }
                    }
                    .li-f-content{
                        ul{
                            display: flex;
                            flex-wrap: wrap;
                            li{
                                padding: 5px;
                            }
                        }
                    }
                    .li-s{
                        display: flex;
                        padding: 5px 0;
                        .fer-label{
                            line-height: 30px;
                            text-align: right;
                        }
                        ul{
                            display: flex;
                            flex-wrap: wrap;
                            align-items: center;
                            .li-t{
                                display: flex;
                                padding: 5px;
                            }
                        }
                    }
                    .li-s-key{
                        flex-direction: column;
                        .info-wrap{
                            .ivu-btn-text{
                                color: #57a3f3;
                            }
                        }
                        img{
                            padding: 0 5px;
                        }
                    }
                }
                .record-btn{
                    cursor: pointer;
                    margin-left:10px; 
                }
            }
        }
    }
    .flex {
        display: flex;
        align-items: center;
    }
    .progress-time {
        width: 8em;
        text-align: center;
    }
    
</style>
